# Uses of Enum Class
org.bukkit.block.data.type.Stairs.Shape

Packages that use Stairs.Shape
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Stairs.Shape in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Stairs.Shape
Modifier and Type
Method
Description
`@NotNull Stairs.Shape`
Stairs.`getShape()`
Gets the value of the 'shape' property.
`static Stairs.Shape`
Stairs.Shape.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Stairs.Shape[]`
Stairs.Shape.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Stairs.Shape
Modifier and Type
Method
Description
`void`
Stairs.`setShape(@NotNull Stairs.Shape shape)`
Sets the value of the 'shape' property.